ActivitiesNotes

Update a Note activity

View as Markdown

note_html and note: setting one overwrites the other. If both are provided, note_html takes precedence. note_html supports rich-text HTML; note is plaintext only.

A note can be pinned or unpinned by setting pinned to true or false.

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Request

This endpoint expects an object.
activity_atdatetime or nullOptional
attachmentslist of objects or nullOptional
contact_idstring or nullOptional
notestring or nullOptional
note_htmlstring or nullOptional
pinnedboolean or nullOptional
titlestring or nullOptional

Response

Successful response
_typestring
activity_atdatetime or null
contact_idstring or null
created_bystring or null
date_createddatetime
date_updateddatetime
idstring
lead_idstring or null
organization_idstring
updated_bystring or null
user_idstring or null
userslist of strings
created_by_namestring or null
updated_by_namestring or null
user_namestring or null

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error